---
- name: nginx | remove nginx default site
  file:
    path: /etc/nginx/sites-enabled/default
    state: absent

- name: nginx | create nginx directory
  file:
    path: "/var/www/{{ item }}"
    state: directory
    mode: 0744
  with_items:
    - "{{ nginx_site_name }}"

- name: nginx | create nginx site conf
  template:
    src: "{{ nginx_template_dir }}/site.conf.j2"
    dest: /etc/nginx/sites-enabled/site.conf
    mode: 0744

- name: nginx | copy web-sites
  copy:
    src: "{{ nginx_site_dir }}/{{ item }}"
    dest: "/var/www"
    mode: 0744
  with_items:
    - "{{ nginx_site_name }}"

- meta: flush_handlers
